# Class AvatarUploadResponse | EchoHub Documentation

# Class AvatarUploadResponse

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record AvatarUploadResponse : IEquatable<AvatarUploadResponse>

Inheritance
  object
  AvatarUploadResponse

Implements
  IEquatable<AvatarUploadResponse>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### AvatarUploadResponse(AvatarUploadResponse)

    protected AvatarUploadResponse(AvatarUploadResponse original)

#### Parameters

`original` AvatarUploadResponse

### AvatarUploadResponse(string)

    public AvatarUploadResponse(string AvatarAscii)

#### Parameters

`AvatarAscii` string

## Properties

### AvatarAscii

    public string AvatarAscii { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

## Methods

### Deconstruct(out string)

    public void Deconstruct(out string AvatarAscii)

#### Parameters

`AvatarAscii` string

### Equals(AvatarUploadResponse?)

    public virtual bool Equals(AvatarUploadResponse? other)

#### Parameters

`other` AvatarUploadResponse

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(AvatarUploadResponse?, AvatarUploadResponse?)

    public static bool operator ==(AvatarUploadResponse? left, AvatarUploadResponse? right)

#### Parameters

`left` AvatarUploadResponse
`right` AvatarUploadResponse

#### Returns

bool

### operator !=(AvatarUploadResponse?, AvatarUploadResponse?)

    public static bool operator !=(AvatarUploadResponse? left, AvatarUploadResponse? right)

#### Parameters

`left` AvatarUploadResponse
`right` AvatarUploadResponse

#### Returns

bool